﻿using UnityEngine;
using System.Collections;

public class FloatingCoins : MonoBehaviour 
{
    const int NUMBER_OF_COINS = 19;

    GameObject[] coins;
    Animator[] coinAnimators;


	// Use this for initialization
	void Start () 
    {
        coins = new GameObject[NUMBER_OF_COINS];
        coinAnimators = new Animator[NUMBER_OF_COINS];

        for (int i = 0; i < NUMBER_OF_COINS; i++)
        {
            coins[i] = GameObject.Find("Coin" + i);
            coinAnimators[i] = coins[i].GetComponent<Animator>();

        }
	
	}
	
	// Update is called once per frame
	void Update ()
    {
	
	}

    void OnTriggerEnter2D(Collider2D col)
    {
        SoundEffects.coin.Play();
        GameGUI.numberOfCoins++;
        Destroy(gameObject);

    }
}
