﻿using UnityEngine;
using System.Collections;


//Script dealing with all of the sounds effects that will get played

public class SoundEffects : MonoBehaviour 
{
    //add which ever sounds we need to "sounds" game object
    public static AudioSource jump, coin, theme1, theme2, die, pause, gameOver, squish, pipe, levelClear, kick, stomp;

    void Start ()
    {   
        //get all of the different sounds and store them in an array
        AudioSource[] audios = GetComponents<AudioSource>();
        //instead of accessing the array directly store each element to another name or ease of use
        //store in the same order as in the "sounds" object
        jump = audios[0];
        coin = audios[1];
        theme1 = audios[2];
        theme2 = audios[3];
        die = audios[4];
        pause = audios[5];
        gameOver = audios[6];
        squish = audios[7];
        pipe = audios[8];
        levelClear = audios[9];
        kick = audios[10];
        stomp = audios[11];
    }
}
